<?php
/**
 * Définit les autorisations du plugin BigForm
 *
 * @plugin     BigForm
 * @copyright  2019
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Bigform\Autorisations
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Fonction d'appel pour le pipeline
 * @pipeline autoriser */
function bigform_autoriser() {
}


function autoriser_document_charger_dist($faire, $type, $id, $qui, $opt) {
	return true;
}

function autoriser_document_dissociersupprimer_dist($faire, $type, $id, $qui, $opt) {
	if (!intval($id)
		or !$qui['id_auteur']
	) {
		return false;
	}

	return autoriser('modifier', 'document', $id, $qui, $opt);
}

